
import javax.swing.*;
import java.awt.*;

public class Fig7_8
{

    /**
     * Constructor.
     */
    public Fig7_8 () {
    }

    public static void main(String args[])
    {
	JFrame f = new JFrame("Exercise 7.2.1 c");
	Container c = f.getContentPane();
	c.setLayout(new GridLayout(4, 4, 5, 5));
	for (int i=0; i<10; i++)
	{
	    Integer I = new Integer(i);
	    c.add(new JButton(I.toString()));
	}
	f.pack();
	f.show();
    }
}
